﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace test255668
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new DummyData();
        }
    }

    public class DummyData : INotifyPropertyChanged
    {
        private State homeState;
        private readonly List<State> states;

        public DummyData()
        {
            states = new List<State>  
            {   
                  new State {StateName = "Texas", IsDefault = false},   
                  new State {StateName = "New York", IsDefault = false},   
                  new State {StateName = "Alaska", IsDefault = true}   
            };

            this.homeState = States.First(StateName => StateName.IsDefault);
        }

        public List<State> States
        {
            get
            {
                return states;
            }
        }

        public State HomeState
        {
            get
            {
                return this.homeState;
            }
            set
            {
                if (this.homeState != value)
                {
                    this.homeState = value;
                    this.OnPropertyChanged("HomeState");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class State
    {
        public string StateName { get; set; }
        public bool IsDefault { get; set; }
    }
}
